#include <stdio.h>
int fakt(int n);
main()
{
    int T;
    scanf("%d",&T);
    int niz[T];
    for(int i=0;i<T;i++)
    {
        int brdece,brbananica,grupe;
        scanf("%d %d %d",&brdece,&brbananica,&grupe);
        if(grupe==1&&fakt(brdece)>brbananica||grupe>brdece)
        {
           niz[i]=0;
           continue;
        }
        if(brdece/grupe>=2)
        {
            if(fakt(brdece)/grupe+2>brbananica)
             {
                 niz[i]=0;
                 continue;
             }

        }
            if(brdece/grupe<2&&fakt(brdece)/grupe+3>brbananica&&fakt(brdece)%grupe!=0)
            {
                niz[i]=0;
                continue;
            }
            if(brdece/grupe<2&&fakt(brdece)/grupe+2>brbananica&&fakt(brdece)%grupe==0)
            {
                niz[i]=0;
                continue;
            }


            niz[i]=1;

    }
    for(int i=0;i<T;i++)
    {
        if(niz[i]==0)
            printf("Nie\n");
        else
            printf("Tak\n");
    }
}
int fakt(int n)
{
    int zbir=0;
    for(int i=1;i<=n;i++)
    {
        zbir+=i;
    }
    return zbir;
}